Skip to content

CEO budget reallocation

POST
/api/v1/coordination/budgets/reallocate
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/coordination/budgets/reallocate \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "amount": "example", "from_agent": "example", "pool_name": "example", "to_agent": "example" }'

Move budget between two agents within a pool (CEO-initiated).

Media typeapplication/json
ReallocateRequest

Request body for CEO budget reallocation.

Attributes: from_agent: Agent giving up budget. to_agent: Agent receiving budget. pool_name: The shared pool. amount: Amount to move.

object
amount
required
Amount

Amount to move (decimal string)

string
from_agent
required
From Agent

Agent giving up budget

string
pool_name
required
Pool Name

The shared pool

string
to_agent
required
To Agent

Agent receiving budget

string
Examplegenerated
{
"amount": "example",
"from_agent": "example",
"pool_name": "example",
"to_agent": "example"
}

Successful Response

Media typeapplication/json
ReallocateBudgetResponse

Response for CEO budget reallocation.

object
from_balance
required
From Balance
object
key
additional properties
any
to_balance
required
To Balance
object
key
additional properties
any
Examplegenerated
{
"from_balance": {},
"to_balance": {}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}